Skip to main content
GET
/
invoices
List all Invoices
curl --request GET \
  --url https://eu.sequencehq.com/api/invoices \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": "ba37a392-7054-4dae-ab37-6fee9e23fe06",
      "sequenceAccountId": "af9b5988-1d7b-45f6-a188-326df5e59b24",
      "status": "DRAFT",
      "currency": "GBP",
      "invoiceNumber": "INV2",
      "dueDate": "2022-11-05",
      "purchaseOrderNumber": "PO123",
      "reference": "ref",
      "customerEmails": [
        "customer@example.com"
      ],
      "customerLegalCompanyName": "Facebook",
      "customerBillingAddress": {
        "line1": "Flat 1",
        "line2": "15 Yemen Road",
        "town": "Yemen",
        "state": "CA",
        "postcode": "YE1 2YE",
        "country": "YE"
      },
      "customerShippingAddress": {
        "line1": "742 Evergreen Terrace",
        "line2": "",
        "town": "Springfield",
        "state": "CA",
        "postcode": "12345",
        "country": "US"
      },
      "memo": "Thanks",
      "paymentOptions": [
        "BANK_TRANSFER"
      ],
      "billingPeriod": {
        "start": "2022-10-01",
        "endInclusive": "2022-10-30"
      },
      "customerId": "b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a",
      "totalTax": "2",
      "netTotal": "12",
      "grossTotal": "10",
      "metadata": [
        {
          "key": "example-label",
          "value": "label-value"
        }
      ],
      "paymentStatus": "UNPAID",
      "createdAt": "2022-10-30T00:00:00Z",
      "creditNoteIds": [
        "941272d1-f840-4e16-b698-0cd455c81e0e"
      ],
      "linkedServices": [
        {
          "externalId": "ID",
          "externalService": "Xero",
          "syncTime": "2022-06-28T16:47:00Z"
        }
      ],
      "merchantDetails": {
        "address": {
          "line1": "Flat 1",
          "line2": "123 Fake Street",
          "town": "New York",
          "state": "NY",
          "postcode": "AB1 2EF",
          "country": "US"
        },
        "phoneNumber": "0800001066",
        "email": "donald@example.com",
        "taxId": "TAX",
        "iban": "GB33BUKB20201555555555",
        "ukAccountDetails": {
          "sortCode": "123456",
          "accountNumber": "12345678"
        },
        "usAchDetails": {
          "accountNumber": "12345678",
          "accountName": "John Doe",
          "bankName": "Chase",
          "bankRoutingNumber": "123456789"
        },
        "usWireDetails": {
          "accountNumber": "12345678",
          "accountName": "John Doe",
          "bankName": "Chase",
          "bankRoutingNumber": "123456789",
          "swiftCode": "CHASUS33",
          "bankAddress": {
            "line1": "JP Morgan Chase",
            "town": "New York City",
            "state": "NY",
            "postcode": "10017",
            "country": "US"
          }
        },
        "swedishBankgiroDestination": {
          "bankgiroNumber": "123-4567",
          "accountName": "The Merchant"
        },
        "legalCompanyName": "The Merchant",
        "customFields": [],
        "includeBeneficiaryAddressInPaymentDetails": false
      },
      "accountingDate": "2022-10-05",
      "customerTaxStatus": "TAXED",
      "renderSettings": {
        "paymentLinkDisplay": "HIDE_PAYMENT_LINK"
      },
      "isCustomerArchived": false,
      "updatedAt": "2022-10-30T00:00:00Z"
    }
  ],
  "pagination": {
    "after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
    "before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
    "totalResultSize": 10
  }
}

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Query Parameters

before
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

after
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

limit
integer

Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).

sortOrder
string

Sort order. Default: DESC (descending, most often used for reverse chronological sorting).

sortBy
string

Sort column. Default: creation time. Options: CUSTOMER_LEGAL_COMPANY_NAME, GROSS_TOTAL, ACCOUNTING_DATE, DUE_DATE

invoiceStatus
string

Filter by invoice status. Options: IN_PROGRESS, DRAFT, FINAL, SENT, VOIDED

invoicePaymentStatus
string

Filter by payment status. Options: UNPAID, PARTIALLY_PAID, PAID, UNCOLLECTIBLE

customerId
string

Filter by customer id.

billingScheduleId
string

Filter by billing schedule id.

dueBefore
string

Filter by due date before. Format: yyyy-MM-dd

dueAfter
string

Filter by due date after. Format: yyyy-MM-dd

sentBefore
string

Filter by sent date before. Format: yyyy-MM-dd

sentAfter
string

Filter by sent date after. Format: yyyy-MM-dd

invoiceBefore
string

Filter by invoice date before. Format: yyyy-MM-dd

invoiceAfter
string

Filter by invoice date after. Format: yyyy-MM-dd

excludeZeroQuantity
boolean

Exclude invoices with zero quantity.

invoiceCurrency
string

Get invoices for a specific currency (provide a comma-separated list)

Search invoices by invoice number (partial, case-insensitive match)

invoiceNumber
string

Filter by invoice number

netTotal
number

Filter by net total amount

excludeInvoiceStatus
string

Exclude invoices with these statuses. Options: IN_PROGRESS, DRAFT, FINAL, SENT, VOIDED

excludeInvoicePaymentStatus
string

Exclude invoices with these payment statuses. Options: UNPAID, PARTIALLY_PAID, PAID, UNCOLLECTIBLE

excludeCustomerId
string

Exclude invoices for these customer ids.

excludeBillingScheduleId
string

Exclude invoices for these billing schedule ids.

excludeInvoiceCurrency
string

Exclude invoices for these currencies (provide a comma-separated list)

excludeInvoiceNumber
string

Exclude invoices with these invoice numbers

excludeNetTotal
number

Exclude invoices with this exact net total amount

Exclude invoices whose invoice number contains this (partial, case-insensitive match)

Response

OK

items
object[]
required

Invoices

Example:
[
{
"id": "ba37a392-7054-4dae-ab37-6fee9e23fe06",
"sequenceAccountId": "af9b5988-1d7b-45f6-a188-326df5e59b24",
"status": "DRAFT",
"currency": "GBP",
"invoiceNumber": "INV2",
"dueDate": "2022-11-05",
"purchaseOrderNumber": "PO123",
"reference": "ref",
"customerEmails": ["customer@example.com"],
"customerLegalCompanyName": "Facebook",
"customerBillingAddress": {
"line1": "Flat 1",
"line2": "15 Yemen Road",
"town": "Yemen",
"state": "CA",
"postcode": "YE1 2YE",
"country": "YE"
},
"customerShippingAddress": {
"line1": "742 Evergreen Terrace",
"line2": "",
"town": "Springfield",
"state": "CA",
"postcode": "12345",
"country": "US"
},
"memo": "Thanks",
"paymentOptions": ["BANK_TRANSFER"],
"billingPeriod": {
"start": "2022-10-01",
"endInclusive": "2022-10-30"
},
"customerId": "b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a",
"totalTax": "2",
"netTotal": "12",
"grossTotal": "10",
"metadata": [
{
"key": "example-label",
"value": "label-value"
}
],
"paymentStatus": "UNPAID",
"createdAt": "2022-10-30T00:00:00Z",
"creditNoteIds": ["941272d1-f840-4e16-b698-0cd455c81e0e"],
"linkedServices": [
{
"externalId": "ID",
"externalService": "Xero",
"syncTime": "2022-06-28T16:47:00Z"
}
],
"merchantDetails": {
"address": {
"line1": "Flat 1",
"line2": "123 Fake Street",
"town": "New York",
"state": "NY",
"postcode": "AB1 2EF",
"country": "US"
},
"phoneNumber": "0800001066",
"email": "donald@example.com",
"taxId": "TAX",
"iban": "GB33BUKB20201555555555",
"ukAccountDetails": {
"sortCode": "123456",
"accountNumber": "12345678"
},
"usAchDetails": {
"accountNumber": "12345678",
"accountName": "John Doe",
"bankName": "Chase",
"bankRoutingNumber": "123456789"
},
"usWireDetails": {
"accountNumber": "12345678",
"accountName": "John Doe",
"bankName": "Chase",
"bankRoutingNumber": "123456789",
"swiftCode": "CHASUS33",
"bankAddress": {
"line1": "JP Morgan Chase",
"town": "New York City",
"state": "NY",
"postcode": "10017",
"country": "US"
}
},
"swedishBankgiroDestination": {
"bankgiroNumber": "123-4567",
"accountName": "The Merchant"
},
"legalCompanyName": "The Merchant",
"customFields": [],
"includeBeneficiaryAddressInPaymentDetails": false
},
"accountingDate": "2022-10-05",
"customerTaxStatus": "TAXED",
"renderSettings": { "paymentLinkDisplay": "HIDE_PAYMENT_LINK" },
"isCustomerArchived": false,
"updatedAt": "2022-10-30T00:00:00Z"
}
]
pagination
object
required

Results pagination

Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}